For the complete documentation index, see llms.txt. This page is also available as Markdown.

Label (Operations)

Endpoints to create, update, and read shipping labels.

Create label

post

Create label

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

LabelForCreation

labelUrlstringOptional

URL to download the label document

Example: https://example.com/resource
operativeProcessRefstringOptional

Reference to the operative process

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
packageRefstringOptional

Reference to the package

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
processRefstringOptional

Reference to the fulfillment process

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
shippingInformationRefstringRequired

Reference to the shipping information

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
shortIdstringOptional

Short human-readable identifier

statusstring · enumRequired

Current status of the label

Possible values:
tenantLabelIdstringOptional

Tenant-specific label identifier

Example: MY_LABEL_ID
tenantOrderIdstringOptional

Tenant-specific order identifier

Example: MY_ORDER_ID
typestring · enumRequired

Type of label

Possible values:
Responses
201

The label was successfully created.

application/json

Label

anonymizedbooleanRequired

Whether the label data has been anonymized

createdstring · date-timeRequired

Creation timestamp

Example: 2026-06-17T12:00:00.000Z
facilityRefstringRequired

Reference to the connected facility

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
idstringRequired

Unique identifier of the label

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
labelUrlstringOptional

URL to download the label document

Example: https://example.com/resource
lastModifiedstring · date-timeRequired

Last modification timestamp

Example: 2026-06-17T12:00:00.000Z
operativeProcessRefstringRequired

Reference to the operative process

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
packageRefstringOptional

Reference to the package

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
processRefstringRequired

Reference to the fulfillment process

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
shippingInformationRefstringRequired

Reference to the shipping information

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
shortIdstringOptional

Short human-readable identifier

statusstring · enumRequired

Current status of the label

Possible values:
tenantLabelIdstringOptional

Tenant-specific label identifier

Example: MY_LABEL_ID
tenantOrderIdstringOptional

Tenant-specific order identifier

Example: MY_ORDER_ID
typestring · enumRequired

Type of label

Possible values:
versionintegerRequired

Optimistic locking version

Example: 1
post/api/labels
POST /api/labels HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1635

{
  "additionalDocuments": [
    {
      "nameLocalized": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "url": "https://example.com/resource"
    }
  ],
  "carrierData": {
    "carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "product": "text",
    "services": [
      {
        "type": "text"
      }
    ]
  },
  "customAttributes": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "labelUrl": "https://example.com/resource",
  "operativeProcessRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "packageRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "recipientAddress": [
    {
      "additionalAddressInfo": "to care of: Mrs. Müller",
      "city": "Langenfeld",
      "country": "DE",
      "customAttributes": {},
      "houseNumber": "42a",
      "phoneNumbers": [
        {
          "customAttributes": {},
          "label": "text",
          "type": "MOBILE",
          "value": "text"
        }
      ],
      "postalCode": "40764",
      "province": "NRW",
      "street": "Hauptstr."
    }
  ],
  "senderAddress": {
    "additionalAddressInfo": "to care of: Mrs. Müller",
    "city": "Langenfeld",
    "country": "DE",
    "customAttributes": {},
    "houseNumber": "42a",
    "phoneNumbers": [
      {
        "customAttributes": {},
        "label": "text",
        "type": "MOBILE",
        "value": "text"
      }
    ],
    "postalCode": "40764",
    "province": "NRW",
    "street": "Hauptstr.",
    "companyName": "Speedy Boxales Ltd.",
    "emailAddresses": [
      {
        "recipient": "'Mailinglist reaching all the employees', 'Marc Fulton, Manager', etc.",
        "value": "text"
      }
    ],
    "resolvedCoordinates": {
      "lat": 50.937531,
      "lon": 6.960279
    },
    "resolvedTimeZone": {
      "offsetInSeconds": 28800,
      "source": "Google Maps API",
      "timeZoneId": "America/Los_Angeles",
      "timeZoneName": "Pacific Standard Time"
    }
  },
  "shippingInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "shortId": "text",
  "status": "WAITING_FOR_INPUT",
  "tenantLabelId": "MY_LABEL_ID",
  "tenantOrderId": "MY_ORDER_ID",
  "type": "SEND_LABEL"
}
{
  "additionalDocuments": [
    {
      "nameLocalized": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "url": "https://example.com/resource"
    }
  ],
  "anonymized": true,
  "carrierData": {
    "carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "product": "text",
    "services": [
      {
        "type": "text"
      }
    ]
  },
  "created": "2026-06-17T12:00:00.000Z",
  "customAttributes": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "labelUrl": "https://example.com/resource",
  "lastModified": "2026-06-17T12:00:00.000Z",
  "operativeProcessRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "packageRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "recipientAddress": [
    {
      "additionalAddressInfo": "to care of: Mrs. Müller",
      "city": "Langenfeld",
      "country": "DE",
      "customAttributes": {},
      "houseNumber": "42a",
      "phoneNumbers": [
        {
          "customAttributes": {},
          "label": "text",
          "type": "MOBILE",
          "value": "text"
        }
      ],
      "postalCode": "40764",
      "province": "NRW",
      "street": "Hauptstr."
    }
  ],
  "senderAddress": {
    "additionalAddressInfo": "to care of: Mrs. Müller",
    "city": "Langenfeld",
    "country": "DE",
    "customAttributes": {},
    "houseNumber": "42a",
    "phoneNumbers": [
      {
        "customAttributes": {},
        "label": "text",
        "type": "MOBILE",
        "value": "text"
      }
    ],
    "postalCode": "40764",
    "province": "NRW",
    "street": "Hauptstr.",
    "companyName": "Speedy Boxales Ltd.",
    "emailAddresses": [
      {
        "recipient": "'Mailinglist reaching all the employees', 'Marc Fulton, Manager', etc.",
        "value": "text"
      }
    ],
    "resolvedCoordinates": {
      "lat": 50.937531,
      "lon": 6.960279
    },
    "resolvedTimeZone": {
      "offsetInSeconds": 28800,
      "source": "Google Maps API",
      "timeZoneId": "America/Los_Angeles",
      "timeZoneName": "Pacific Standard Time"
    }
  },
  "shippingInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "shortId": "text",
  "status": "WAITING_FOR_INPUT",
  "tenantLabelId": "MY_LABEL_ID",
  "tenantOrderId": "MY_ORDER_ID",
  "type": "SEND_LABEL",
  "version": 1
}

Get label

get

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Get label

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200

Label was found. The result is in the body.

application/json

Label

anonymizedbooleanRequired

Whether the label data has been anonymized

createdstring · date-timeRequired

Creation timestamp

Example: 2026-06-17T12:00:00.000Z
facilityRefstringRequired

Reference to the connected facility

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
idstringRequired

Unique identifier of the label

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
labelUrlstringOptional

URL to download the label document

Example: https://example.com/resource
lastModifiedstring · date-timeRequired

Last modification timestamp

Example: 2026-06-17T12:00:00.000Z
operativeProcessRefstringRequired

Reference to the operative process

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
packageRefstringOptional

Reference to the package

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
processRefstringRequired

Reference to the fulfillment process

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
shippingInformationRefstringRequired

Reference to the shipping information

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
shortIdstringOptional

Short human-readable identifier

statusstring · enumRequired

Current status of the label

Possible values:
tenantLabelIdstringOptional

Tenant-specific label identifier

Example: MY_LABEL_ID
tenantOrderIdstringOptional

Tenant-specific order identifier

Example: MY_ORDER_ID
typestring · enumRequired

Type of label

Possible values:
versionintegerRequired

Optimistic locking version

Example: 1
get/api/labels/{id}
GET /api/labels/{id} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "additionalDocuments": [
    {
      "nameLocalized": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "url": "https://example.com/resource"
    }
  ],
  "anonymized": true,
  "carrierData": {
    "carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "product": "text",
    "services": [
      {
        "type": "text"
      }
    ]
  },
  "created": "2026-06-17T12:00:00.000Z",
  "customAttributes": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "labelUrl": "https://example.com/resource",
  "lastModified": "2026-06-17T12:00:00.000Z",
  "operativeProcessRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "packageRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "recipientAddress": [
    {
      "additionalAddressInfo": "to care of: Mrs. Müller",
      "city": "Langenfeld",
      "country": "DE",
      "customAttributes": {},
      "houseNumber": "42a",
      "phoneNumbers": [
        {
          "customAttributes": {},
          "label": "text",
          "type": "MOBILE",
          "value": "text"
        }
      ],
      "postalCode": "40764",
      "province": "NRW",
      "street": "Hauptstr."
    }
  ],
  "senderAddress": {
    "additionalAddressInfo": "to care of: Mrs. Müller",
    "city": "Langenfeld",
    "country": "DE",
    "customAttributes": {},
    "houseNumber": "42a",
    "phoneNumbers": [
      {
        "customAttributes": {},
        "label": "text",
        "type": "MOBILE",
        "value": "text"
      }
    ],
    "postalCode": "40764",
    "province": "NRW",
    "street": "Hauptstr.",
    "companyName": "Speedy Boxales Ltd.",
    "emailAddresses": [
      {
        "recipient": "'Mailinglist reaching all the employees', 'Marc Fulton, Manager', etc.",
        "value": "text"
      }
    ],
    "resolvedCoordinates": {
      "lat": 50.937531,
      "lon": 6.960279
    },
    "resolvedTimeZone": {
      "offsetInSeconds": 28800,
      "source": "Google Maps API",
      "timeZoneId": "America/Los_Angeles",
      "timeZoneName": "Pacific Standard Time"
    }
  },
  "shippingInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "shortId": "text",
  "status": "WAITING_FOR_INPUT",
  "tenantLabelId": "MY_LABEL_ID",
  "tenantOrderId": "MY_ORDER_ID",
  "type": "SEND_LABEL",
  "version": 1
}

Update label

patch

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Update label

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Body

LabelForUpdate

anonymizedbooleanOptional

Whether the label data has been anonymized

labelUrlstringOptional

URL to download the label document

Example: https://example.com/resource
shortIdstringOptional

Short human-readable identifier

statusstring · enumOptional

Current status of the label

Possible values:
tenantOrderIdstringOptional

Tenant-specific order identifier

Example: MY_ORDER_ID
typestring · enumOptional

Type of label

Possible values:
versionintegerRequired

Optimistic locking version

Example: 1
Responses
200

Label was found and patch-set has been applied. The patched entity is in the body.

application/json

Label

anonymizedbooleanRequired

Whether the label data has been anonymized

createdstring · date-timeRequired

Creation timestamp

Example: 2026-06-17T12:00:00.000Z
facilityRefstringRequired

Reference to the connected facility

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
idstringRequired

Unique identifier of the label

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
labelUrlstringOptional

URL to download the label document

Example: https://example.com/resource
lastModifiedstring · date-timeRequired

Last modification timestamp

Example: 2026-06-17T12:00:00.000Z
operativeProcessRefstringRequired

Reference to the operative process

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
packageRefstringOptional

Reference to the package

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
processRefstringRequired

Reference to the fulfillment process

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
shippingInformationRefstringRequired

Reference to the shipping information

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
shortIdstringOptional

Short human-readable identifier

statusstring · enumRequired

Current status of the label

Possible values:
tenantLabelIdstringOptional

Tenant-specific label identifier

Example: MY_LABEL_ID
tenantOrderIdstringOptional

Tenant-specific order identifier

Example: MY_ORDER_ID
typestring · enumRequired

Type of label

Possible values:
versionintegerRequired

Optimistic locking version

Example: 1
patch/api/labels/{id}
PATCH /api/labels/{id} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1230

{
  "anonymized": true,
  "carrierData": {
    "carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "product": "text",
    "services": [
      {
        "type": "text"
      }
    ]
  },
  "labelUrl": "https://example.com/resource",
  "recipientAddress": [
    {
      "additionalAddressInfo": "to care of: Mrs. Müller",
      "city": "Langenfeld",
      "country": "DE",
      "customAttributes": {},
      "houseNumber": "42a",
      "phoneNumbers": [
        {
          "customAttributes": {},
          "label": "text",
          "type": "MOBILE",
          "value": "text"
        }
      ],
      "postalCode": "40764",
      "province": "NRW",
      "street": "Hauptstr."
    }
  ],
  "senderAddress": {
    "additionalAddressInfo": "to care of: Mrs. Müller",
    "city": "Langenfeld",
    "country": "DE",
    "customAttributes": {},
    "houseNumber": "42a",
    "phoneNumbers": [
      {
        "customAttributes": {},
        "label": "text",
        "type": "MOBILE",
        "value": "text"
      }
    ],
    "postalCode": "40764",
    "province": "NRW",
    "street": "Hauptstr.",
    "companyName": "Speedy Boxales Ltd.",
    "emailAddresses": [
      {
        "recipient": "'Mailinglist reaching all the employees', 'Marc Fulton, Manager', etc.",
        "value": "text"
      }
    ],
    "resolvedCoordinates": {
      "lat": 50.937531,
      "lon": 6.960279
    },
    "resolvedTimeZone": {
      "offsetInSeconds": 28800,
      "source": "Google Maps API",
      "timeZoneId": "America/Los_Angeles",
      "timeZoneName": "Pacific Standard Time"
    }
  },
  "shortId": "text",
  "status": "WAITING_FOR_INPUT",
  "tenantOrderId": "MY_ORDER_ID",
  "type": "SEND_LABEL",
  "version": 1
}
{
  "additionalDocuments": [
    {
      "nameLocalized": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "url": "https://example.com/resource"
    }
  ],
  "anonymized": true,
  "carrierData": {
    "carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "product": "text",
    "services": [
      {
        "type": "text"
      }
    ]
  },
  "created": "2026-06-17T12:00:00.000Z",
  "customAttributes": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "labelUrl": "https://example.com/resource",
  "lastModified": "2026-06-17T12:00:00.000Z",
  "operativeProcessRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "packageRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "recipientAddress": [
    {
      "additionalAddressInfo": "to care of: Mrs. Müller",
      "city": "Langenfeld",
      "country": "DE",
      "customAttributes": {},
      "houseNumber": "42a",
      "phoneNumbers": [
        {
          "customAttributes": {},
          "label": "text",
          "type": "MOBILE",
          "value": "text"
        }
      ],
      "postalCode": "40764",
      "province": "NRW",
      "street": "Hauptstr."
    }
  ],
  "senderAddress": {
    "additionalAddressInfo": "to care of: Mrs. Müller",
    "city": "Langenfeld",
    "country": "DE",
    "customAttributes": {},
    "houseNumber": "42a",
    "phoneNumbers": [
      {
        "customAttributes": {},
        "label": "text",
        "type": "MOBILE",
        "value": "text"
      }
    ],
    "postalCode": "40764",
    "province": "NRW",
    "street": "Hauptstr.",
    "companyName": "Speedy Boxales Ltd.",
    "emailAddresses": [
      {
        "recipient": "'Mailinglist reaching all the employees', 'Marc Fulton, Manager', etc.",
        "value": "text"
      }
    ],
    "resolvedCoordinates": {
      "lat": 50.937531,
      "lon": 6.960279
    },
    "resolvedTimeZone": {
      "offsetInSeconds": 28800,
      "source": "Google Maps API",
      "timeZoneId": "America/Los_Angeles",
      "timeZoneName": "Pacific Standard Time"
    }
  },
  "shippingInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "shortId": "text",
  "status": "WAITING_FOR_INPUT",
  "tenantLabelId": "MY_LABEL_ID",
  "tenantOrderId": "MY_ORDER_ID",
  "type": "SEND_LABEL",
  "version": 1
}

Performs provided labelAction

post

This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Performs provided labelAction

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Body
Responses
200

Label was found and provided action has been applied. The patched entity is in the body.

application/json

Label

anonymizedbooleanRequired

Whether the label data has been anonymized

createdstring · date-timeRequired

Creation timestamp

Example: 2026-06-17T12:00:00.000Z
facilityRefstringRequired

Reference to the connected facility

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
idstringRequired

Unique identifier of the label

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
labelUrlstringOptional

URL to download the label document

Example: https://example.com/resource
lastModifiedstring · date-timeRequired

Last modification timestamp

Example: 2026-06-17T12:00:00.000Z
operativeProcessRefstringRequired

Reference to the operative process

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
packageRefstringOptional

Reference to the package

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
processRefstringRequired

Reference to the fulfillment process

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
shippingInformationRefstringRequired

Reference to the shipping information

Example: 0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f
shortIdstringOptional

Short human-readable identifier

statusstring · enumRequired

Current status of the label

Possible values:
tenantLabelIdstringOptional

Tenant-specific label identifier

Example: MY_LABEL_ID
tenantOrderIdstringOptional

Tenant-specific order identifier

Example: MY_ORDER_ID
typestring · enumRequired

Type of label

Possible values:
versionintegerRequired

Optimistic locking version

Example: 1
post/api/labels/{id}/actions
POST /api/labels/{id}/actions HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 27

{
  "name": "text",
  "version": 1
}
{
  "additionalDocuments": [
    {
      "nameLocalized": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "url": "https://example.com/resource"
    }
  ],
  "anonymized": true,
  "carrierData": {
    "carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "product": "text",
    "services": [
      {
        "type": "text"
      }
    ]
  },
  "created": "2026-06-17T12:00:00.000Z",
  "customAttributes": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "labelUrl": "https://example.com/resource",
  "lastModified": "2026-06-17T12:00:00.000Z",
  "operativeProcessRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "packageRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "recipientAddress": [
    {
      "additionalAddressInfo": "to care of: Mrs. Müller",
      "city": "Langenfeld",
      "country": "DE",
      "customAttributes": {},
      "houseNumber": "42a",
      "phoneNumbers": [
        {
          "customAttributes": {},
          "label": "text",
          "type": "MOBILE",
          "value": "text"
        }
      ],
      "postalCode": "40764",
      "province": "NRW",
      "street": "Hauptstr."
    }
  ],
  "senderAddress": {
    "additionalAddressInfo": "to care of: Mrs. Müller",
    "city": "Langenfeld",
    "country": "DE",
    "customAttributes": {},
    "houseNumber": "42a",
    "phoneNumbers": [
      {
        "customAttributes": {},
        "label": "text",
        "type": "MOBILE",
        "value": "text"
      }
    ],
    "postalCode": "40764",
    "province": "NRW",
    "street": "Hauptstr.",
    "companyName": "Speedy Boxales Ltd.",
    "emailAddresses": [
      {
        "recipient": "'Mailinglist reaching all the employees', 'Marc Fulton, Manager', etc.",
        "value": "text"
      }
    ],
    "resolvedCoordinates": {
      "lat": 50.937531,
      "lon": 6.960279
    },
    "resolvedTimeZone": {
      "offsetInSeconds": 28800,
      "source": "Google Maps API",
      "timeZoneId": "America/Los_Angeles",
      "timeZoneName": "Pacific Standard Time"
    }
  },
  "shippingInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
  "shortId": "text",
  "status": "WAITING_FOR_INPUT",
  "tenantLabelId": "MY_LABEL_ID",
  "tenantOrderId": "MY_ORDER_ID",
  "type": "SEND_LABEL",
  "version": 1
}

Labels (search)

post

This part of the API is in Beta status. For details, see the API release lifecycle documentation. Search for Label

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

LabelSearchPayload

afterstringOptional

The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.

beforestringOptional

The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).

lastnumber · min: 1 · max: 250Optional

Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.

sizenumber · min: 1 · max: 250Optional

Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.

Example: 10
startAfterIdstringOptionalDeprecated

The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.

Responses
200

Your search result

application/json

LabelPaginatedResult

totalnumberOptional

The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.

post/api/labels/search
POST /api/labels/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 3817

{
  "after": "text",
  "before": "text",
  "last": 1,
  "options": {
    "withTotal": true
  },
  "query": {
    "and": [
      {
        "and": [
          {
            "and": "[Circular Reference]",
            "created": {
              "after": "text",
              "before": "text",
              "eq": "2026-01-01T00:00:00.000Z",
              "gt": "2026-01-01T00:00:00.000Z",
              "gte": "2026-01-01T00:00:00.000Z",
              "lt": "2026-01-01T00:00:00.000Z",
              "lte": "2026-01-01T00:00:00.000Z",
              "notEq": "2026-01-01T00:00:00.000Z"
            },
            "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "lastModified": {
              "after": "text",
              "before": "text",
              "eq": "2026-01-01T00:00:00.000Z",
              "gt": "2026-01-01T00:00:00.000Z",
              "gte": "2026-01-01T00:00:00.000Z",
              "lt": "2026-01-01T00:00:00.000Z",
              "lte": "2026-01-01T00:00:00.000Z",
              "notEq": "2026-01-01T00:00:00.000Z"
            },
            "or": "[Circular Reference]",
            "processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "tenantLabelId": "MY_LABEL_ID",
            "tenantOrderId": "MY_ORDER_ID"
          }
        ],
        "created": {
          "after": "text",
          "before": "text",
          "eq": "2026-01-01T00:00:00.000Z",
          "gt": "2026-01-01T00:00:00.000Z",
          "gte": "2026-01-01T00:00:00.000Z",
          "lt": "2026-01-01T00:00:00.000Z",
          "lte": "2026-01-01T00:00:00.000Z",
          "notEq": "2026-01-01T00:00:00.000Z"
        },
        "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "lastModified": {
          "after": "text",
          "before": "text",
          "eq": "2026-01-01T00:00:00.000Z",
          "gt": "2026-01-01T00:00:00.000Z",
          "gte": "2026-01-01T00:00:00.000Z",
          "lt": "2026-01-01T00:00:00.000Z",
          "lte": "2026-01-01T00:00:00.000Z",
          "notEq": "2026-01-01T00:00:00.000Z"
        },
        "or": [
          {
            "and": "[Circular Reference]",
            "created": {
              "after": "text",
              "before": "text",
              "eq": "2026-01-01T00:00:00.000Z",
              "gt": "2026-01-01T00:00:00.000Z",
              "gte": "2026-01-01T00:00:00.000Z",
              "lt": "2026-01-01T00:00:00.000Z",
              "lte": "2026-01-01T00:00:00.000Z",
              "notEq": "2026-01-01T00:00:00.000Z"
            },
            "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "lastModified": {
              "after": "text",
              "before": "text",
              "eq": "2026-01-01T00:00:00.000Z",
              "gt": "2026-01-01T00:00:00.000Z",
              "gte": "2026-01-01T00:00:00.000Z",
              "lt": "2026-01-01T00:00:00.000Z",
              "lte": "2026-01-01T00:00:00.000Z",
              "notEq": "2026-01-01T00:00:00.000Z"
            },
            "or": "[Circular Reference]",
            "processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
            "tenantLabelId": "MY_LABEL_ID",
            "tenantOrderId": "MY_ORDER_ID"
          }
        ],
        "processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "tenantLabelId": "MY_LABEL_ID",
        "tenantOrderId": "MY_ORDER_ID"
      }
    ],
    "created": {
      "after": "text",
      "before": "text",
      "eq": "2026-01-01T00:00:00.000Z",
      "gt": "2026-01-01T00:00:00.000Z",
      "gte": "2026-01-01T00:00:00.000Z",
      "lt": "2026-01-01T00:00:00.000Z",
      "lte": "2026-01-01T00:00:00.000Z",
      "notEq": "2026-01-01T00:00:00.000Z"
    },
    "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "lastModified": {
      "after": "text",
      "before": "text",
      "eq": "2026-01-01T00:00:00.000Z",
      "gt": "2026-01-01T00:00:00.000Z",
      "gte": "2026-01-01T00:00:00.000Z",
      "lt": "2026-01-01T00:00:00.000Z",
      "lte": "2026-01-01T00:00:00.000Z",
      "notEq": "2026-01-01T00:00:00.000Z"
    },
    "or": [
      {
        "and": "[Circular Reference]",
        "created": {
          "after": "text",
          "before": "text",
          "eq": "2026-01-01T00:00:00.000Z",
          "gt": "2026-01-01T00:00:00.000Z",
          "gte": "2026-01-01T00:00:00.000Z",
          "lt": "2026-01-01T00:00:00.000Z",
          "lte": "2026-01-01T00:00:00.000Z",
          "notEq": "2026-01-01T00:00:00.000Z"
        },
        "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "lastModified": {
          "after": "text",
          "before": "text",
          "eq": "2026-01-01T00:00:00.000Z",
          "gt": "2026-01-01T00:00:00.000Z",
          "gte": "2026-01-01T00:00:00.000Z",
          "lt": "2026-01-01T00:00:00.000Z",
          "lte": "2026-01-01T00:00:00.000Z",
          "notEq": "2026-01-01T00:00:00.000Z"
        },
        "or": "[Circular Reference]",
        "processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "tenantLabelId": "MY_LABEL_ID",
        "tenantOrderId": "MY_ORDER_ID"
      }
    ],
    "processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
    "tenantLabelId": "MY_LABEL_ID",
    "tenantOrderId": "MY_ORDER_ID"
  },
  "size": 10,
  "sort": [
    {
      "created": "ASC",
      "lastModified": "ASC"
    }
  ]
}
{
  "labels": [
    {
      "additionalDocuments": [
        {
          "nameLocalized": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "url": "https://example.com/resource"
        }
      ],
      "anonymized": true,
      "carrierData": {
        "carrierRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
        "product": "text",
        "services": [
          {
            "type": "text"
          }
        ]
      },
      "created": "2026-06-17T12:00:00.000Z",
      "customAttributes": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "labelUrl": "https://example.com/resource",
      "lastModified": "2026-06-17T12:00:00.000Z",
      "operativeProcessRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "packageRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "processRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "recipientAddress": [
        {
          "additionalAddressInfo": "to care of: Mrs. Müller",
          "city": "Langenfeld",
          "country": "DE",
          "customAttributes": {},
          "houseNumber": "42a",
          "phoneNumbers": [
            {
              "customAttributes": {},
              "label": "text",
              "type": "MOBILE",
              "value": "text"
            }
          ],
          "postalCode": "40764",
          "province": "NRW",
          "street": "Hauptstr."
        }
      ],
      "senderAddress": {
        "additionalAddressInfo": "to care of: Mrs. Müller",
        "city": "Langenfeld",
        "country": "DE",
        "customAttributes": {},
        "houseNumber": "42a",
        "phoneNumbers": [
          {
            "customAttributes": {},
            "label": "text",
            "type": "MOBILE",
            "value": "text"
          }
        ],
        "postalCode": "40764",
        "province": "NRW",
        "street": "Hauptstr.",
        "companyName": "Speedy Boxales Ltd.",
        "emailAddresses": [
          {
            "recipient": "'Mailinglist reaching all the employees', 'Marc Fulton, Manager', etc.",
            "value": "text"
          }
        ],
        "resolvedCoordinates": {
          "lat": 50.937531,
          "lon": 6.960279
        },
        "resolvedTimeZone": {
          "offsetInSeconds": 28800,
          "source": "Google Maps API",
          "timeZoneId": "America/Los_Angeles",
          "timeZoneName": "Pacific Standard Time"
        }
      },
      "shippingInformationRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
      "shortId": "text",
      "status": "WAITING_FOR_INPUT",
      "tenantLabelId": "MY_LABEL_ID",
      "tenantOrderId": "MY_ORDER_ID",
      "type": "SEND_LABEL",
      "version": 1
    }
  ],
  "pageInfo": {
    "endCursor": "text",
    "hasNextPage": true,
    "hasPreviousPage": true,
    "startCursor": "text"
  },
  "total": 1
}

Last updated

Was this helpful?